1. Widgets
WiserReview
  • Introduction
  • API Refrences
    • Authentication
      • Generate Token
    • Reviews
      • Get review list
      • Get reviews by product
      • Create review
    • Widgets
      • Star rating
        POST
      • Product Review
        POST
  • Guides
    • Widgets
      • Plugins
      • Custom site
    • Webhooks
      • Introduction
    • Rich Snippet
      • Product Rich Snippet
  1. Widgets

Star rating

POST
https://rs.wiserreview.com/api/v1/getStarRating

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://rs.wiserreview.com/api/v1/getStarRating' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "listProductId": []
}'
Response Response Example
{
    "success": true,
    "data": [
        {
            "pid": "3793",
            "avgrtng": 4.9,
            "prtng": 166,
            "html": "",
            "isReqSyncWoo": false,
            "queCount": 7
        }
    ]
}
Modified at 2026-01-13 10:35:36
Previous
Create review
Next
Product Review
Built with